import '../resources.dart';

class PlaylistRepo {
  PlaylistRepo._();

  static PlaylistRepo? _instance;

  factory PlaylistRepo([AppApi? api]) {
    _instance ??= PlaylistRepo._();
    _instance!._api = api ?? AppApiImp();
    return _instance!;
  }

  late AppApi _api;

  Future<List<PlaylistModel>> v2_getPlaylistFromPro(params) async {
    NetworkResponse response = await _api.v2_getPlaylistFromPro(params);
    return response.data ?? {};
  }

  Future<PlaylistModel?> v2_createPlaylistFromPro(params) async {
    NetworkResponse response = await _api.v2_createPlaylistFromPro(params);
    return response.data;
  }

  Future<bool> v2_deletePlaylistFromPro(params) async {
    NetworkResponse response = await _api.v2_deletePlaylistFromPro(params);
    return response.data ?? false;
  }

  Future<List<PlaylistItemModel>> v2_getContentItemsFromPro(params) async {
    NetworkResponse response = await _api.v2_getContentItemsFromPro(params);
    return response.data ?? [];
  }

  Future<PlaylistItemModel?> v2_addItemToPlaylist(params) async {
    NetworkResponse response = await _api.v2_addItemToPlaylist(params);
    return response.data;
  }

  Future<bool> v2_removeItemFromPlaylist(params) async {
    NetworkResponse response = await _api.v2_removeItemFromPlaylist(params);
    return response.data ?? false;
  }

  Future<List<PlaylistModel>> v2_getPlaylistsFromTerminal(params) async {
    NetworkResponse response = await _api.v2_getPlaylistsFromTerminal(params);
    return response.data ?? [];
  }

  Future<bool> v2_sendPlaylistToTerminal(params) async {
    NetworkResponse response = await _api.v2_sendPlaylistToTerminal(params);
    return response.data ?? false;
  }
}
