part of 'user_settings_bloc.dart';

@immutable
abstract class UserSettingsEvent extends Equatable {
  const UserSettingsEvent();

  @override
  List<Object?> get props => [];
}

class UserInfoFetch extends UserSettingsEvent {
  const UserInfoFetch();

  @override
  List<Object?> get props => [];
}

class UserInfoSave extends UserSettingsEvent {
  final UserModel userInfo;
  const UserInfoSave(this.userInfo);

  @override
  List<Object?> get props => [userInfo];
}

class UserInfoShowID extends UserSettingsEvent {
  final bool show;
  UserInfoShowID(this.show);

  @override
  List<Object?> get props => [show];
}

class UserInfoAsynCalendar extends UserSettingsEvent {
  final bool asynCalendar;
  const UserInfoAsynCalendar(this.asynCalendar);

  @override
  List<Object?> get props => [asynCalendar];
}

class UserActivateGeo extends UserSettingsEvent {
  final int activateGeo;
  const UserActivateGeo(this.activateGeo);

  @override
  List<Object?> get props => [activateGeo];
}

class BlurPictureEvent extends UserSettingsEvent {
  final int blurPicture;
  const BlurPictureEvent(this.blurPicture);

  @override
  List<Object?> get props => [blurPicture];
}

class UserInfoAsynContact extends UserSettingsEvent {
  final bool asynContact;
  const UserInfoAsynContact(this.asynContact);

  @override
  List<Object?> get props => [asynContact];
}

class UserInfoAcceptChat extends UserSettingsEvent {
  final int acceptChat;
  const UserInfoAcceptChat(this.acceptChat);

  @override
  List<Object?> get props => [acceptChat];
}

class UserChangeAvatar extends UserSettingsEvent {
  const UserChangeAvatar();

  @override
  List<Object?> get props => [];
}
