import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:oowoo_core/oowoo_core.dart';

import 'styles.dart'; 

class WidgetSettingSparaterInput extends StatelessWidget {
  const WidgetSettingSparaterInput({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      width: Get.width,
      height: .9,
      color: appColors.text,
      margin: const EdgeInsets.symmetric(vertical: 6),
    );
  }
}

class WidgetSettingInput extends StatefulWidget {
  final TextEditingController controller;
  final FocusNode node;
  final FocusNode? next;
  final String title;
  final String? des;
  final dynamic onSubmitted;
  final bool readOnly;
  const WidgetSettingInput({
    Key? key,
    required this.controller,
    required this.title,
    required this.node,
    this.readOnly = false,
    this.des,
    this.onSubmitted,
    this.next,
  }) : super(key: key);

  @override
  State<WidgetSettingInput> createState() => _WidgetSettingInputState();
}

class _WidgetSettingInputState extends State<WidgetSettingInput> {
  late FocusNode node = widget.node;

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Padding(
          padding: const EdgeInsets.symmetric(vertical: 8),
          child: Text(
            widget.title,
            style: latoBold.copyWith(fontSize: 14.0, color: textColorSetting),
          ),
        ),
        if (widget.des != null)
          Padding(
            padding: const EdgeInsets.only(bottom: 4),
            child: Text(
              widget.des!,
              style:
                  latoLight.copyWith(fontSize: 10.0, color: textColorSetting),
            ),
          ),
        TextFormField(
          onFieldSubmitted: (_) {
            if (widget.next != null) {
              widget.next!.requestFocus();
            } else if (widget.onSubmitted != null) {
              widget.onSubmitted();
            }
          },
          readOnly: widget.readOnly,
          focusNode: node,
          controller: widget.controller,
          cursorColor: appColors.text,
          style: robotoRegular.copyWith(fontSize: 14.0),
          decoration: const InputDecoration(
              isCollapsed: true,
              contentPadding: EdgeInsets.only(top: 6, bottom: 4),
              border: InputBorder.none),
        ),
      ],
    );
  }
}
