 
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:oowoo_core/oowoo_core.dart';
import 'styles.dart'; 


class WidgetLanguagesSetting extends StatefulWidget {
  const WidgetLanguagesSetting({Key? key}) : super(key: key);

  @override
  _WidgetLanguagesSettingState createState() => _WidgetLanguagesSettingState();
}

class _WidgetLanguagesSettingState extends State<WidgetLanguagesSetting> {
  late FixedExtentScrollController languageScrollController;

  @override
  void initState() {
    super.initState();
    languageScrollController = FixedExtentScrollController(
        initialItem: oowoosupportedlocale
            .indexWhere((e) => e.languageCode == appPrefs.languageCode));
  }

  @override
  Widget build(BuildContext context) {
    return widgetSettingOptions.bottomSheetBuilder(
      child: Column(
        mainAxisSize: MainAxisSize.min,
        children: [
          Container(
            width: Get.width,
            height: 150,
            decoration: BoxDecoration(
                borderRadius: BorderRadius.circular(12),
                color: Colors.transparent),
            child: Stack(
              alignment: Alignment.center,
              children: [
                Container(
                  color: Colors.white10,
                  height: 40,
                  width: Get.width,
                ),
                CupertinoPicker(
                  scrollController: languageScrollController,
                  selectionOverlay:
                      const CupertinoPickerDefaultSelectionOverlay(
                    background: Colors.transparent,
                    capEndEdge: false,
                    capStartEdge: false,
                  ),
                  itemExtent: 50,
                  onSelectedItemChanged: (int index) {
                    OOWOOConfig.of(Get.context!)
                        .setLocale(oowoosupportedlocale[index].languageCode);
                  },
                  backgroundColor: Colors.transparent,
                  children: oowoosupportedlocale
                      .map((e) => Center(
                            child: Row(
                              mainAxisSize: MainAxisSize.min,
                              children: [
                                ClipRRect(
                                  borderRadius: BorderRadius.circular(2),
                                  child: Image.asset(
                                    'assets/flags/${e.countryCode?.toLowerCase()}.png',
                                    width: 28.0,
                                    height: 18,
                                    fit: BoxFit.fill,
                                    package: 'oowoo_auth',
                                    errorBuilder: (context, error, stackTrace) {
                                      return const SizedBox();
                                    },
                                  ),
                                ),
                                const SizedBox(
                                  width: 20,
                                ),
                                Text(
                                  e.languageCode.tr,
                                  style: latoBold.copyWith(fontSize: 18),
                                ),
                              ],
                            ),
                          ))
                      .toList(),
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
