import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:get/get.dart';
import 'package:image_picker/image_picker.dart';
import 'package:oowoo_core/oowoo_core.dart';

import 'styles.dart'; 

class WidgetMethodUpload extends StatelessWidget {
  const WidgetMethodUpload({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return widgetSettingOptions.bottomSheetBuilder(
      child: Column(
        mainAxisSize: MainAxisSize.min,
        children: [
          _buildButton(
            onTap: () => Navigator.pop(context, ImageSource.camera),
            asset: 'camera',
            label: 'takeapicture'.tr,
          ),
          _buildDivider(),
          _buildButton(
            onTap: () => Navigator.pop(context, ImageSource.gallery),
            asset: 'image',
            label: 'sendfromyourgallery'.tr,
          )
        ],
      ),
    );
  }

  Widget _buildButton({onTap, asset, label}) {
    return GestureDetector(
      onTap: () {
        onTap();
        oowooHaptic();
      },
      child: Container(
        padding: const EdgeInsets.symmetric(horizontal: 20, vertical: 12),
        color: Colors.transparent,
        child: Row(
          children: [
            SvgPicture.asset(
              assetsvg(asset),
              width: 40,
              color: appColors.text,
              fit: BoxFit.scaleDown,
            ),
            const SizedBox(
              width: 24,
            ),
            Text(label, style: robotoRegular.copyWith(color: appColors.text))
          ],
        ),
      ),
    );
  }

  Widget _buildDivider() {
    return Container(
      width: Get.width,
      height: 2,
      color: appColors.appBackground,
    );
  }
}
